# Constants
ACH_codes = {
    "R01": "Insufficient Funds",
    "R02": "Account Closed",
    "R03": "No Account/Unable to Locate Account",
    "R04": "Invalid Account Number",
    "R05": "Unauthorized Debit Entry",
    "R06": "Returned per ODFIs Request",
    "R07": "Authorization Revoked by Customer (adjustment entries)",
    "R08": "Payment Stopped or Stop Payment on Item",
    "R09": "Uncollected Funds",
    "R10": "Customer Advises Not Authorized, Item Is Ineligible, Notice Not Provided, Signatures Not Genuine, or Item Altered (adjustment entries)",
    "R11": "Check Truncation Entry Return",
    "R12": "Branch Sold to Another DFI",
    "R13": "RDFI not qualified to participate",
    "R14": "Representative Payee Deceased or Unable to Continue in that Capacity",
    "R15": "Beneficiary or Account Holder (Other Than a Representative Payee) Deceased",
    "R16": "Account Frozen",
    "R17": "File Record Edit Criteria (Specify)",
    "R20": "Non-Transaction Account",
    "R21": "Invalid Company Identification",
    "R22": "Invalid Individual ID Number",
    "R23": "Credit Entry Refused by Receiver",
    "R24": "Duplicate Entry",
    "R29": "Corporate Customer Advises Not Authorized",
    "R31": "Permissible Return Entry (CCD and CTX only)",
    "R33": "Return of XCK Entry"
}
